﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            int         width       = 300;
            int         height      = 300;
            PixelFormat pixelFormat = PixelFormats.Bgr32;
            int         stride      = (width * pixelFormat.BitsPerPixel + 7) / 8;
            byte[]      byteArray   = new byte[stride * height];

            Random random = new Random();

            random.NextBytes(byteArray);

            BitmapSource bitmapSource = BitmapSource.Create
            (
                width,
                height,
                96,
                96,
                pixelFormat,
                null,
                byteArray,
                stride
            );

            this.image.Source = bitmapSource;
        }

        #endregion
    }
}